Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# uimanager.hh File Reference

A GtkUIManager C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <xfc/gtk/actiongroup.hh>`
`#include <gtk/gtkuimanager.h>`
`#include <vector>`
`#include <xfc/gtk/inline/uimanager.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::UIManager
    A GtkUIManager C++ wrapper class. More...

## Typedefs

- typedef unsigned int UIManagerItemTypeField
    UIManagerItemTypeField holds one or more values from the Gtk::UIManagerItemType enumeration OR'd together.

## Enumerations

- enum UIManagerItemType {
  UI_MANAGER_AUTO = GTK_UI_MANAGER_AUTO,
  UI_MANAGER_MENUBAR = GTK_UI_MANAGER_MENUBAR,
  UI_MANAGER_MENU = GTK_UI_MANAGER_MENU,
  UI_MANAGER_TOOLBAR = GTK_UI_MANAGER_TOOLBAR,
  UI_MANAGER_PLACEHOLDER = GTK_UI_MANAGER_PLACEHOLDER,
  UI_MANAGER_POPUP = GTK_UI_MANAGER_POPUP,
  UI_MANAGER_MENUITEM = GTK_UI_MANAGER_MENUITEM,
  UI_MANAGER_TOOLITEM = GTK_UI_MANAGER_TOOLITEM,
  UI_MANAGER_SEPARATOR = GTK_UI_MANAGER_SEPARATOR,
  UI_MANAGER_ACCELERATOR = GTK_UI_MANAGER_ACCELERATOR
  }
    Item type values used by Gtk::UIManager::add_ui() to determine what UI element to create. More...

## Detailed Description

A GtkUIManager C++ wrapper interface.

Provides UIManager, an object that constructs menus and toolbars from an XML description.

## Enumeration Type Documentation

enum UIManagerItemType

Item type values used by Gtk::UIManager::add_ui() to determine what UI element to create.

Enumeration values:

  UI_MANAGER_AUTO | Pick the type of the UI element according to context.
  UI_MANAGER_MENUBAR | Create a menubar.
  UI_MANAGER_MENU | Create a menu.
  UI_MANAGER_TOOLBAR | Create a toolbar.
  UI_MANAGER_PLACEHOLDER | Insert a placeholder.
  UI_MANAGER_POPUP | Create a popup menu.
  UI_MANAGER_MENUITEM | Create a menuitem.
  UI_MANAGER_TOOLITEM | Create a toolitem.
  UI_MANAGER_SEPARATOR | Create a separator.
  UI_MANAGER_ACCELERATOR | Install an accelerator.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3